<html>
<head>
<title>Ogre::TempBlendedBufferInfo Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html">TempBlendedBufferInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TempBlendedBufferInfo Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TempBlendedBufferInfo" --><!-- doxytag: inherits="Ogre::HardwareBufferLicensee,Ogre::AllocatedObject" -->
<p>Structure for recording the use of temporary blend buffers.  
 <a href="classOgre_1_1TempBlendedBufferInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::TempBlendedBufferInfo:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1TempBlendedBufferInfo__inherit__graph.gif" border="0" usemap="#Ogre_1_1TempBlendedBufferInfo_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1TempBlendedBufferInfo_inherit__map" id="Ogre_1_1TempBlendedBufferInfo_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1HardwareBufferLicensee.html" title="Abstract interface representing a &#39;licensee&#39; of a hardware buffer copy." alt="" coords="5,5,205,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="229,5,315,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1TempBlendedBufferInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a77b3f94ac8d7ff04608a5d9358ea1903">~TempBlendedBufferInfo</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ab50304382d76b0276e63fde8225d52ab">extractFrom</a> (const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *sourceData)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method, extract info from the given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>.  <a href="#ab50304382d76b0276e63fde8225d52ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a2ec4c99c82022379f78a3a3d8e09720a">checkoutTempCopies</a> (bool positions=true, bool normals=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method, checks out temporary copies of src into dest.  <a href="#a2ec4c99c82022379f78a3a3d8e09720a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#aab93bb33b8d69c344f6f64f965812dbb">bindTempCopies</a> (<a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *targetData, bool suppressHardwareUpload)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method, binds dest copies into a given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> struct.  <a href="#aab93bb33b8d69c344f6f64f965812dbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a20082709a68b75596620418aa69a172a">licenseExpired</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *buffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Overridden member from <a class="el" href="classOgre_1_1HardwareBufferLicensee.html" title="Abstract interface representing a &#39;licensee&#39; of a hardware buffer copy.">HardwareBufferLicensee</a>.  <a href="#a20082709a68b75596620418aa69a172a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a315c9769671710aa512f621a111334b2">buffersCheckedOut</a> (bool positions=true, bool normals=true) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Detect currently have buffer copies checked out and touch it.  <a href="#a315c9769671710aa512f621a111334b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#aba9a78063ebade2611b1b7fb86556269">srcPositionBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a04f81935036ade45ee9b27076cdbff1f">srcNormalBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a51ba46f5674027983a641c8f5919ed5a">destPositionBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a098debe872ac4c67507daf401e25727a">destNormalBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a4177ac660c67a59428bfe77c71fd1cc7">posNormalShareBuffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Both positions and normals are contained in the same buffer.  <a href="#a4177ac660c67a59428bfe77c71fd1cc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a204cdbf159d8375a2cca3ed58c34d317">posBindIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a0b4e2a46911fe4a6191010ec584ec744">normBindIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ae52a9468dca74ba1306c1f8d3bcf41fc">bindPositions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ad304cea26a4e551969a63c13012cec59">bindNormals</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure for recording the use of temporary blend buffers. </p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00067">67</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a77b3f94ac8d7ff04608a5d9358ea1903"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo" ref="a77b3f94ac8d7ff04608a5d9358ea1903" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a77b3f94ac8d7ff04608a5d9358ea1903">Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aab93bb33b8d69c344f6f64f965812dbb"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindTempCopies" ref="aab93bb33b8d69c344f6f64f965812dbb" args="(VertexData *targetData, bool suppressHardwareUpload)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#aab93bb33b8d69c344f6f64f965812dbb">Ogre::TempBlendedBufferInfo::bindTempCopies</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td>
          <td class="paramname"><em>targetData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppressHardwareUpload</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method, binds dest copies into a given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> struct. </p>

</div>
</div>
<a class="anchor" id="a315c9769671710aa512f621a111334b2"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::buffersCheckedOut" ref="a315c9769671710aa512f621a111334b2" args="(bool positions=true, bool normals=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a315c9769671710aa512f621a111334b2">Ogre::TempBlendedBufferInfo::buffersCheckedOut</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>positions</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>normals</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Detect currently have buffer copies checked out and touch it. </p>

</div>
</div>
<a class="anchor" id="a2ec4c99c82022379f78a3a3d8e09720a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::checkoutTempCopies" ref="a2ec4c99c82022379f78a3a3d8e09720a" args="(bool positions=true, bool normals=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a2ec4c99c82022379f78a3a3d8e09720a">Ogre::TempBlendedBufferInfo::checkoutTempCopies</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>positions</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>normals</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method, checks out temporary copies of src into dest. </p>

</div>
</div>
<a class="anchor" id="ab50304382d76b0276e63fde8225d52ab"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::extractFrom" ref="ab50304382d76b0276e63fde8225d52ab" args="(const VertexData *sourceData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ab50304382d76b0276e63fde8225d52ab">Ogre::TempBlendedBufferInfo::extractFrom</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td>
          <td class="paramname"><em>sourceData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method, extract info from the given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>. </p>

</div>
</div>
<a class="anchor" id="a20082709a68b75596620418aa69a172a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::licenseExpired" ref="a20082709a68b75596620418aa69a172a" args="(HardwareBuffer *buffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a20082709a68b75596620418aa69a172a">Ogre::TempBlendedBufferInfo::licenseExpired</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Overridden member from <a class="el" href="classOgre_1_1HardwareBufferLicensee.html" title="Abstract interface representing a &#39;licensee&#39; of a hardware buffer copy.">HardwareBufferLicensee</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBufferLicensee.html#aa5a241d6a5d4f8596affadda26555cff">Ogre::HardwareBufferLicensee</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad304cea26a4e551969a63c13012cec59"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindNormals" ref="ad304cea26a4e551969a63c13012cec59" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ad304cea26a4e551969a63c13012cec59">Ogre::TempBlendedBufferInfo::bindNormals</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00081">81</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae52a9468dca74ba1306c1f8d3bcf41fc"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindPositions" ref="ae52a9468dca74ba1306c1f8d3bcf41fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ae52a9468dca74ba1306c1f8d3bcf41fc">Ogre::TempBlendedBufferInfo::bindPositions</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00080">80</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a098debe872ac4c67507daf401e25727a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::destNormalBuffer" ref="a098debe872ac4c67507daf401e25727a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a098debe872ac4c67507daf401e25727a">Ogre::TempBlendedBufferInfo::destNormalBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00075">75</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a51ba46f5674027983a641c8f5919ed5a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::destPositionBuffer" ref="a51ba46f5674027983a641c8f5919ed5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a51ba46f5674027983a641c8f5919ed5a">Ogre::TempBlendedBufferInfo::destPositionBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00074">74</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0b4e2a46911fe4a6191010ec584ec744"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::normBindIndex" ref="a0b4e2a46911fe4a6191010ec584ec744" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a0b4e2a46911fe4a6191010ec584ec744">Ogre::TempBlendedBufferInfo::normBindIndex</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00079">79</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a204cdbf159d8375a2cca3ed58c34d317"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::posBindIndex" ref="a204cdbf159d8375a2cca3ed58c34d317" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a204cdbf159d8375a2cca3ed58c34d317">Ogre::TempBlendedBufferInfo::posBindIndex</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00078">78</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4177ac660c67a59428bfe77c71fd1cc7"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::posNormalShareBuffer" ref="a4177ac660c67a59428bfe77c71fd1cc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a4177ac660c67a59428bfe77c71fd1cc7">Ogre::TempBlendedBufferInfo::posNormalShareBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Both positions and normals are contained in the same buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00077">77</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04f81935036ade45ee9b27076cdbff1f"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::srcNormalBuffer" ref="a04f81935036ade45ee9b27076cdbff1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#a04f81935036ade45ee9b27076cdbff1f">Ogre::TempBlendedBufferInfo::srcNormalBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00072">72</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba9a78063ebade2611b1b7fb86556269"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::srcPositionBuffer" ref="aba9a78063ebade2611b1b7fb86556269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#aba9a78063ebade2611b1b7fb86556269">Ogre::TempBlendedBufferInfo::srcPositionBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00071">71</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
